<?php

$archivo = "algo.txt";
if (file_exists($archivo)) { //¿Existe?
    if (is_writable($archivo) && is_readable($archivo)) { //¿Se puede leer y escribir?
        $fp = fopen($archivo, "a+"); //Se abre el archivo para añadir y leer
        $texto = fread($fp, filesize($archivo)); //Se lee el contenido hasta los bytes que pese el archivo
        echo $texto;
        $txt = "Ahora esta es una línea mas\n";
        fwrite($fp, $txt); //Se escribe la variable $txt en el archivo
        fclose($fp); //Se cierra la lectura y escritura del archivo
    } else { //Si no se puede escribir ni leer
        if (@chmod($archivo, 0777)) { //Si se le pueden dar permisos 777 al archivo
            echo "Permiso 777 dado al archivo " . $archivo . ", corra denuevo el script para seguir su función";
        } else { //Si no se pudieron dar los permisos
            echo "Los permisos no pudieron ser dados, trate hacerlo a mano";
        }
    }} else { //Si el archivo no existe
    echo "¡El archivo " . $archivo . " no existe!";
}

//phpinfo();
